-- Add IPMD, MNS-PM, MNS-NIM, CSM and CSMC to LK_ROLE
INSERT INTO dbo.LK_ROLE (ROLE_ID, ROLE_NME, ROLE_TYPE_ID, CREAT_BY_USER_ID, ROLE_CD) VALUES (121, 'Secondary Customer Support Manager', 5, 1,'IPMD')
INSERT INTO dbo.LK_ROLE (ROLE_ID, ROLE_NME, ROLE_TYPE_ID, CREAT_BY_USER_ID, ROLE_CD) VALUES (122, 'Project Manager', 5, 1,'MNS-PM')
INSERT INTO dbo.LK_ROLE (ROLE_ID, ROLE_NME, ROLE_TYPE_ID, CREAT_BY_USER_ID, ROLE_CD) VALUES (123, 'Network Implementation Manager', 5, 1,'MNS-NIM')
INSERT INTO dbo.LK_ROLE (ROLE_ID, ROLE_NME, ROLE_TYPE_ID, CREAT_BY_USER_ID, ROLE_CD) VALUES (124, 'Sr. Manager, Implementation', 5, 1,'CSM')
INSERT INTO dbo.LK_ROLE (ROLE_ID, ROLE_NME, ROLE_TYPE_ID, CREAT_BY_USER_ID, ROLE_CD) VALUES (125, 'Manager, Customer Support', 5, 1,'CSMC')


-- Update NDE and CSM ROLE_CD in LK_ROLE
UPDATE dbo.LK_ROLE SET ROLE_CD = 'NTE' WHERE ROLE_ID = 81
UPDATE dbo.LK_ROLE SET ROLE_CD = 'IPMC' WHERE ROLE_ID = 104


-- Add to LK_DSPL_COL
SET IDENTITY_INSERT dbo.LK_DSPL_COL  ON
INSERT INTO dbo.LK_DSPL_COL (DSPL_COL_ID, APP_ID, DSPL_COL_NME, DSPL_COL_DES, SRC_TBL_COL_NME, CREAT_BY_USER_ID, MODFD_BY_USER_ID, CREAT_DT, MODFD_DT, SRC_TBL_COL_NME_NEW)
VALUES (157, 1, 'H6 Customer Name', 'H6 Customer Name', 'dbo.getH5H6CustNmeByEventID(ev.EVENT_ID)', 1, NULL, GETDATE(), NULL, 'dbo.getH5H6CustNmeByEventID(ev.EVENT_ID)')
SET IDENTITY_INSERT dbo.LK_DSPL_COL  OFF


-- Update SRC_TBL_COL_NME and SRC_TBL_COL_NME_NEW of LK_DSPL_COL
UPDATE dbo.LK_DSPL_COL SET SRC_TBL_COL_NME = 'dbo.getRedesignRoleUserAssigned(r.REDSGN_ID, 81)', SRC_TBL_COL_NME_NEW = 'dbo.getRedesignRoleUserAssigned(r.REDSGN_ID, 81)' WHERE DSPL_COL_ID = 123
UPDATE dbo.LK_DSPL_COL SET SRC_TBL_COL_NME = 'dbo.getRedesignRoleUserAssigned(r.REDSGN_ID, 122)', SRC_TBL_COL_NME_NEW = 'dbo.getRedesignRoleUserAssigned(r.REDSGN_ID, 122)' WHERE DSPL_COL_ID = 124


-- Insert DSPL_VW_COL (Insert Customer Name column to MDS Reviewer View)
INSERT INTO dbo.DSPL_VW_COL (DSPL_VW_ID, DSPL_COL_ID, DSPL_POS_FROM_LEFT_NBR, CREAT_DT) VALUES (42,157,13,GETDATE())

-- Remove MNS Team PDL in DSPL_VW_COL for MDS Reviewer View
DELETE dbo.DSPL_VW_COL WHERE DSPL_VW_ID = 42 AND DSPL_COL_ID = 88


-- Add Action to be used on Event History to log manual contact list data
INSERT INTO dbo.LK_ACTN (ACTN_ID, ACTN_DES, REC_STUS_ID, CREAT_BY_USER_ID, CREAT_DT, ACTN_TYPE_ID)
VALUES (90, 'Manual Contact List Data', 1, 1, GETDATE(), 1)


-- Update SPS for CPT and Redesign as part of Wireline Rebranding
UPDATE LK_CPT_CUST_TYPE SET CPT_CUST_TYPE = 'Professional Services' WHERE CPT_CUST_TYPE_ID = 5
UPDATE LK_REDSGN_TYPE SET REDSGN_TYPE_NME = 'Professional Services (Bill)', REDSGN_TYPE_DES = 'Professional Services (Bill)' WHERE REDSGN_TYPE_ID = 26